* {
    padding: 0;
    margin: 0;
    /* font-family: Arial, Helvetica, sans-serif; */
        font-family: "Poppins", sans-serif;
        font-weight: 400;
        font-style: normal;
        scroll-behavior:smooth;
}

body {
    background-color: #edeeee;
}


/* main page */

.header {
    min-height: 100vh;
    width: 100%;
    position: relative;
    background-blend-mode: darken;
    background-size: cover;
    background-position: center;
    background-color: #edeeee;
    background: linear-gradient(to bottom, rgba(0,0,0,0) 90%, #edeeee 100%), url('edit\ 2.png');
    
}

nav {
    display: flex;
    padding: 2% 7% 1% 6%;
    justify-content: space-between;
    align-items: center;
    /* background-color: #edeeee; */
    box-shadow: 0 2px 5px rgba(197, 144, 40, 0.5);
    transition: box-shadow 0.3s ease;
    background-color: rgba(215, 219, 190, 0.2);
    /* background-color: #009999; */
}

nav.no-shadow {
    box-shadow: none;
}

nav.bg {
    background:none;
}

.nav-links {
    flex: 1;
    text-align: right;
}

.nav-links ul li {
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}

.nav-links ul li a {
    color: #c59028;
    text-decoration: none;
    font-size: 90%;
}

nav button {
    background-color: #08626f;
    color: #c59028;
    border: none;
    padding: 12px 15px 12px 15px;
    text-align: center;
    margin-left: 2%;
    font-size: 70%;
    cursor: pointer;
    transition: 0.5s;
}

hr {
    border: none;
    height: 0.5px;
    background-color: #c59028;
    margin-top: 2%;
}

nav button i {
    margin-right: 4px;
}

.nav-links ul li::after {
    content: '';
    width: 0;
    height: 2px;
    background: #c59028;
    display: block;
    margin: auto;
    transition: 0.5s;
}

.nav-links ul li:hover::after {
    width: 100%;
}

.main-text {
    width: 50%;
    color: #c59028;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    margin-top: 2%;
}

.main-text h1 {
    /* font-size: 35px; */
    line-height: 1.3;
    text-align: center;
    font-size: 2em;
}

.main-text p {
    margin: 10px 0 15px;
    font-weight: 200;
    color: black;
    text-align: center;
}

.main-text button {
    color: #c59028;
    border: #08626f solid;
    padding: 12px 15px 12px 15px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    background-color: #08626f;
    border-radius: 10px;
    display: inline;
    width: 40%;
    height: 9%;
}

.main-text a {
    text-decoration: none;
}

.main-text img {
    width: 30%;
    margin-top: 5%;
    border:#08626f solid;
    border-radius: 50%;
    padding: 1%;
}

.main-text button:hover {
    background: none;
    border: #08626f solid 0.5px;
    
}

nav .fa {
    display: none;
}

/* dark mode */
/* #btn-text {
    background-color: #fff;
}

.dark-mode {
    background-color: black;
    color: white;
} */

/* About page */

.about {
    min-height: 100vh;
    background-color: #edeeee;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* gap: 2rem; */
    padding-left: 1rem;
    padding-right: 2rem;
    max-width: 1200px;
    margin: auto;
    flex-wrap: wrap;
}

.about-description {
    flex: 1;
    min-width: 300px;
    margin-left: 5%
}

.about-image {
    flex: 1;
    text-align: center;
    min-width: 300px;
}

.about-image img {
    max-width: 50%;
    /* height: auto; */
    border-radius: 10px;
    margin-top: 15%;
}

/* recitations page */
.recitation {
    min-height: 100vh;
    padding: 30px 20px;
    text-align: center;
    margin: auto;
    /* background:url('edit\ 2.png'); */
}

.recitation h2 {
    margin-bottom: 20px;
    text-decoration: underline #c59028;
    text-underline-offset: 10px;
}

.recitation p {
    font-size: 1em;
    margin-bottom: 30px;
}

#searchInput {
    padding: 10px;
    width: 80%;
    max-width: 400px;
    border: 1px solid #c59028;
    border-radius: 8px;
    margin-bottom: 40px;
}

.recitation-grid {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 0 20px;
    align-items: center;
}

.recitation-card {
    display: flex;
    flex-direction: column;
    background: white;
    border: 1px solid #ddd;
    border-radius: 12px;
    padding: 20px;
    width: 100%;
    max-width: 700px;
    /* margin: 0 auto; */
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    margin-bottom: 20px;
    /* background: linear-gradient(to bottom, #F8F8F8, #E8E8E0); */
}

.recitation-card audio {
    width: 100%;
    margin-top: 10px 0;
}

.recitation-card h4 {
    margin-bottom: 10px;
    color: #08626f;
    font-size: 1.1em;
}

.audio-row {
    display: flex;
    align-items: center;
    gap: 10px;
}

.audio-row audio {
    flex: 1;
    width: 100%;
}

.download-icon {
    font-size: 1.2em;
    color: #08626f;
    text-decoration: none;
}

.download-icon:hover {
    color: #0a7a87 ;
}

/* .audio controls {
    margin-top: 5px;
} */

/* scroll to top button */
#scrollTopBtn {
    position: fixed;
    bottom: 20px;
    right: 10px;
    z-index: 100;
    font-size: 18px;
    background-color: #08626f;
    color: #fff;
    border: none;
    padding: 12px 15px;
    border-radius: 50%;
    cursor: pointer;
    display: none;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s;
}

#scrollTopBtn:hover {
    background-color: #0a7a87;
}

/* mobile 3 line */
.mobile {
    display: none;
}

/* lectures */
.lectures h2 {
    text-align: center;
    padding: 20px;
}

.lectures{
    min-height: 100vh;
    padding: 30px 20px;
    text-align: center;
    margin: auto;
}

.lecture-card {
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px;
    margin-bottom: 12px;
    border-radius: 14px;
    cursor: pointer;
    box-shadow: 0 3px 8px rgba(0, 0, 0, .1);
}

.thumb {
    width: 50px;
    height: 50px;
    border-radius: 8px;
    margin-right: 11px;
}

.lecture-info {
    display: flex;
    align-items: center;
    gap: 10px;
    flex: 1;
    min-width: 0;
    text-align: left;
}

.lecture-info h4 {
    font-size: 14px;
    line-height: 1.4;
    word-break: break-word;
}

.lecture-actions {
    display: flex;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
}

.time {
    font-size: 14px;
    color: #555;
}

.play-btn, .download-btn {
    background: #0f766e;
    color: #fff;
    border: none;
    padding: 8px 10px;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
    font-size: 12px;
}

/* mini player */
.mini-player {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: #0f766e;
    color: #fff;
    display: flex;
    align-items: center;
    padding: 10px 15px;
    gap: 10px;
    z-index: 9999;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
    justify-content: space-between;
}

.mini-info {
    display: flex;
    align-items: center;
    gap: 10px;
}

.mini-info img {
    width: 40px;
    height: 40px;
    border-radius: 8px;
}

.mini-info span {
    font-size: 14px;
    font-weight: 500;
}

.mini-controls {
    display: flex;
    align-items: center;
    grid-area: 10px;
}

.mini-controls button {
    background: none;
    border: none;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    margin-left: 20px;
    margin-right: 10px;
}

.hidden {
    display: none !important;
}

/* Full Player Container */
.full-player {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    padding: 20px 30px;
    border-radius: 20px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.3);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    z-index: 99999;
    max-width: 400px;
    border: 2px solid #0f766e;
    width: 50%;
    height: auto;
}

/* Hide by default */
.hidden { display: none !important; }

/* Song Image */
#song-image {
    width: 150px;
    height: 150px;
    border-radius: 15px;
    object-fit: cover;
}

/* Song Name */
#song-name {
    font-size: 1em;
    text-align: center;
    font-weight: 600;
    color: #000;
}

/* Slider */
#slider-song {
    width: 80%;
    accent-color: #0f766e;
    margin-top: 10px;
}

/* Slider thumb styling */
#slider-song::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #0f766e;
    cursor: pointer;
}
#slider-song::-moz-range-thumb {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #0f766e;
    cursor: pointer;
}

/* Music Buttons */
#music-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    color: #000;
}

/* Buttons Styling */
#music-buttons i {
    cursor: pointer;
    transition: transform 0.2s;
}
#music-buttons i:hover {
    transform: scale(1.2);
}

/* Close Button */
#fullClose {
    color: #000;
    border-radius: 12px;
    cursor: pointer;
    font-weight: bold;
    margin-left: 90%;
    transition: background 0.2s;
    float: right;
    border: none;
    background: none;
    font-size: 1.5rem;
}

/* Blur */

.blur-overlay {
    position: fixed;
    inset: 0;
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
    background: rgba(0, 0, 0, 0.3);
    z-index: 999;
}

.full-player {
    z-index: 1000;
}

footer {
    background-color: #08626f;
    height:2vh;
    padding: 0;
    margin: 0;
}





@media screen and (max-width: 700px) {
    .main-text h1 {
        font-size: 30px;
        line-height: 1.3;
    }
    .nav-links ul li {
        display: block;
    }
    .nav-links {
        position: absolute;
        height: 100vh;
        background-color: #08626f;
        width: 200px;
        top: 0;
        left: 0;
        text-align: left;
        z-index: 2;
        display: none;
    }

    nav .fa {
        display: block;
        color: #c59028;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }

    #bar:hover {
        scale: 1.1;
    }

    #close:hover {
        scale: 1.1;
        margin-left: 25%;
    }


    .nav-links ul {
        padding: 20px;
    }

    .logo {
        margin-left: 46%;
    }

    #close {
        margin-left: 20%;
        margin-top: 12%;
    }

    /* main text */
    .main-text img {
        width: 50%;
    }

    /*About page */
    .about-image img {
        margin-top: 2rem;
    }

    
    .mobile {
        display: inline;
    }

    .main-text h1 {
        font-size: 1.5em;
    }

    /* lecture page */
    .thumb {
        width: 40px;
        height: 40px;
    }

    .play-btn, .download-btn {
        padding: 6px 8px;
        font-size: 11px;
    }

    #song-image {
    width: 100px;
    height: 100px; 
    }

    #music-buttons i {
        font-size: 1.8rem;
    }

    /* Full player */
    .full-player {
        gap: 0.5rem;
        padding: 1 10px;
    }
}

/* phones */
@media (max-width: 418px) {
    .main-text h1 {
        font-size: 1.5em;
    }

    .main-text p{
        font-size: 1em;
    }

}

